EXP2(3G)

NAME
exp2 - return 2 raised to the power of the parameter

DECLARATION

genType exp2(genType x);

PARAMETERS

x
    Specify the value of the power to which 2 will be raised.

DESCRIPTION

exp2 returns 2 raised to the power of x. i.e., 2x.

VERSION SUPPORT
 | OpenGL Shading Language Version
Function Name | 1.10 | 1.20 | 1.30 | 1.40 | 1.50 | 3.30 | 4.00 | 4.10 | 4.20 | 4.30 | 4.40 | 4.50
exp2 | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔

SEE ALSO

exp(), log(), log2()

COPYRIGHT

Copyright © 2011-2014 Khronos Group. This material may be distributed subject to the terms and conditions set forth in the Open Publication License, v 1.0, 8 June 1999. https://opencontent.org/openpub/.

COPYRIGHT
Copyright © 2011-2014 Khronos Group